Skip to content
Start here

Get AS-level relationships by ASN

GET/radar/entities/asns/{asn}/rel

Retrieves AS-level relationship for given networks.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Path ParametersExpand Collapse
asn: number

Retrieves all ASNs with provider-customer or peering relationships with the given ASN.

Query ParametersExpand Collapse
asn2: optional number

Retrieves the AS relationship of ASN2 with respect to the given ASN.

format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
result: { meta, rels }
meta: { data_time, query_time, total_peers }
data_time: string
query_time: string
total_peers: number
rels: array of { asn1, asn1_country, asn1_name, 4 more }
asn1: number
asn1_country: string
asn1_name: string
asn2: number
asn2_country: string
asn2_name: string
rel: string
success: boolean

Get AS-level relationships by ASN

curl https://api.cloudflare.com/client/v4/radar/entities/asns/$ASN/rel \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "rels": [
      {
        "asn1": 0,
        "asn1_country": "asn1_country",
        "asn1_name": "asn1_name",
        "asn2": 0,
        "asn2_country": "asn2_country",
        "asn2_name": "asn2_name",
        "rel": "rel"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "rels": [
      {
        "asn1": 0,
        "asn1_country": "asn1_country",
        "asn1_name": "asn1_name",
        "asn2": 0,
        "asn2_country": "asn2_country",
        "asn2_name": "asn2_name",
        "rel": "rel"
      }
    ]
  },
  "success": true
}